API endpoint
https://tau.id/api/v1/links
Request example
curl --location --request GET 'https://tau.id/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
title for Title, alias for Alias, url for URL. Defaults to: title.
status
0 for All, 1 for Active, 2 for Expired, 3 for Disabled. Defaults to: 0.
space_id
domain_id
pixel_id
sort_by
id for Date created, clicks for Clicks, title for Title, alias for Alias, url for URL. Defaults to: id.
sort
desc for Descending, asc for Ascending. Defaults to: desc.
per_page
10, 25, 50, 100. Defaults to: 10.
API endpoint
https://tau.id/api/v1/links/{id}
Request example
curl --location --request GET 'https://tau.id/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://tau.id/api/v1/links
Request example
curl --location --request POST 'https://tau.id/api/v1/links' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}' \ --data-urlencode 'domain={id}'
Parameters
url
domain_id
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 for No, 1 for Yes. Defaults to: 0.
privacy
0 for Public, 1 for Private, 2 for Password. Defaults to: 0.
password
privacy field set to 2.
active_period_start_at
Y-m-dTH:i:s format.
active_period_end_at
Y-m-dTH:i:s format.
clicks_limit
expiration_url
targets_type
continents for Continents, countries for Countries, operating_systems for Operating systems, browsers for Browsers, languages for Languages, devices for Devices, rotations for Rotations.
targets[index][key]
For targets_type=country, the value must be in ISO 3166-1 alpha-2 format.
For targets_type=operating_systems, the possible values are: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
For targets_type=browsers, the possible values are: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
For targets_type=devices, the possible values are: Desktop, Mobile, Tablet, Watch, Television.
For targets_type=languages, the value must be in ISO 639-1 alpha-2 format.
For targets_type=continents, the possible values are: AF for Africa, AN for Antarctica, AS for Asia, EU for Europe, NA for North America, OC for Oceania, SA for South America.
targets[index][value]
API endpoint
https://tau.id/api/v1/links/{id}
Request example
curl --location --request PUT 'https://tau.id/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
url
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 for No, 1 for Yes.
privacy
0 for Public, 1 for Private, 2 for Password.
password
privacy field set to 2.
active_period_start_at
Y-m-dTH:i:s format.
active_period_end_at
Y-m-dTH:i:s format.
clicks_limit
expiration_url
targets_type
continents for Continents, countries for Countries, operating_systems for Operating systems, browsers for Browsers, languages for Languages, devices for Devices, rotations for Rotations.
targets[index][key]
For targets_type=country, the value must be in ISO 3166-1 alpha-2 format.
For targets_type=operating_systems, the possible values are: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
For targets_type=browsers, the possible values are: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
For targets_type=devices, the possible values are: Desktop, Mobile, Tablet, Watch, Television.
For targets_type=languages, the value must be in ISO 639-1 alpha-2 format.
For targets_type=continents, the possible values are: AF for Africa, AN for Antarctica, AS for Asia, EU for Europe, NA for North America, OC for Oceania, SA for South America.
targets[index][value]
API endpoint
https://tau.id/api/v1/links/{id}
Request example
curl --location --request DELETE 'https://tau.id/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'